Page MenuHomePhabricator

[OpenCL][PR41609] Deduce static data members to __global addr space
ClosedPublic

Authored by Anastasia on Apr 30 2019, 4:38 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

Anastasia created this revision.Apr 30 2019, 4:38 AM
kpet added a subscriber: kpet.Apr 30 2019, 4:49 AM

Presumably a similar rule would apply to thread-locals if you supported them.

Presumably a similar rule would apply to thread-locals if you supported them.

We don't support them in OpenCL.

rjmccall accepted this revision.May 1 2019, 10:14 AM

Okay. This seems reasonable to me, then.

This revision is now accepted and ready to land.May 1 2019, 10:14 AM
keryell added a subscriber: keryell.May 1 2019, 7:35 PM

Presumably a similar rule would apply to thread-locals if you supported them.

We don't support them in OpenCL.

But this is also about OpenCL extensions here anyway...
Is thread-local not somewhat equivalent to work-item local, i.e. __private?
But I am unsure we want to really handle this, while it is already an issue in the discussion about execution contexts in ISO C++... :-)

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 2 2019, 7:38 AM